.gat-timeline {
    list-style: none;
    margin: 0;
    padding: 0;
    height: max-content;
}
.gat-timeline-item {
    position: relative;
    padding: 0 0 20px;
    list-style: none;
    margin: 0;
    font-size: 14px;
    display: flex;
}
.gat-timeline-item-mix {
    position: relative;
    padding: 0 0 0 0px;
    list-style: none;
    margin: 0;
    font-size: 14px;
    border-left-style: solid;
    border-width: 1px;
    color:#e5e5e5;
    top:4px;
    margin-left: 12px;
}
.gat-timeline-item-tag {
    position: relative;
    left: 0;
    width: 130px;
    text-align: end;
    top: -21px;
}
.gat-timeline-item-tail {
    position: relative;
    height: 20px;
    border-left: solid;
    color: #e5e5e5;
    top: -20px;
    margin-left:-1px;
    border-width: 1px;
}
.gat-timeline-item-pending .gat-timeline-item-head {
    font-size: 14px;
}
.gat-timeline-item-pending .gat-timeline-item-tail {
    display: none;
}
.gat-timeline-item-head {
    position: relative;
    width: 8px;
    height: 8px;
    border-radius: 100px;
    border: 0px solid transparent;
    top: -20px;
    margin-left:-4px;
}
.gat-timeline-item-head-blue {
    background-color: #42a4f4;
    border-color: #42a4f4;
    color: #42a4f4;
}
.gat-timeline-item-head-red {
    background-color: red;
    border-color: red;
    color: red;
}
.gat-timeline-item-head-green {
    background-color: #41f492;
    border-color: #41f492;
    color: #41f492;
}
.gat-timeline-item-head-orange {
    background-color: #ff6600;
    border-color: #ff6600;
    color: #ff6600;
}
.gat-timeline-item-head-gray {
    background-color: #cccccc;
    border-color: #cccccc;
    color: #cccccc;
}
.gat-timeline-item-head-custom {
    position: absolute;
    text-align: center;
    line-height: 1;
    margin-top: 0;
    border: 0;
    height: auto;
    border-radius: 0;
    padding: 3px 1px;
    transform: translate(-50%, -50%);
    top: 5px;
    left: 5px;
    width: auto;
}
.gat-timeline-item-content {
    padding: 0 0 0 18px;
    left: -1px;
    position: relative;
    top: -(14px * 1.5 - 14px)+1px;
}
.gat-timeline-item-last .gat-timeline-item-tail {
    display: none;
}
.gat-timeline-item-last .gat-timeline-item-content {
    min-height: 48px;
}
.gat-timeline.-timeline-pending .gat-timeline-item-last .gat-timeline-item-tail {
    border-left: 2px dotted;
    display: block;
}
.gat-timeline.-timeline-reverse .gat-timeline-item-last .gat-timeline-item-tail {
    display: none;
}
.gat-timeline.-timeline-reverse .gat-timeline-item-pending .gat-timeline-item-tail {
    border-left: 2px dotted;
    display: block;
}
.gat-timeline.-timeline-reverse .gat-timeline-item-pending .gat-timeline-item-content {
    min-height: 48px;
}
